port: 7889

socks-port: 7891

redir-port: 7892

tproxy-port: 7893

mixed-port: 7890

allow-lan: true

bind-address: '*'

mode: rule

log-level: info



external-controller: 0.0.0.0:9090 

secret: "d6e3649c-98a5-4399-bd4f-0464c35f78cd" # Secret for RESTful API (Optional)

profile:
  # store the `select` results in $HOME/.cache
  # when two different configurations have groups with the same name, the selected values are shared
  # set false if you don't want this behavior
  store-selected: false
  # open tracing exporter API
  tracing: true
  # persistence fakeip
  store-fake-ip: true

proxy-providers:
  friendsProxies:
    type: http
    url: "https://negar:d6e3649c-98a5-4399-bd4f-0464c35f78cd@subscription.bea.sh/friends/negar-lp-proxies.yaml"
    interval: 3600
    path: ./proxies/friendsProxies.yaml
    health-check:
      enable: true
      interval: 60
      url: http://www.gstatic.com/generate_204

proxy-groups:

  - name: MANUAL SELECT
    type: select
    proxies:
      - FALLBACK
      - AUTO SELECT
    use:
      - friendsProxies
      
  - name: AUTO SELECT
    type: url-test
    use:
      - friendsProxies
    # proxies:
    #   - AllProviders    
    url: 'http://www.gstatic.com/generate_204'
    interval: 30
    
  - name: FALLBACK
    type: fallback
    use:
      - friendsProxies
    url: 'http://www.gstatic.com/generate_204'
    interval: 30
    
dns:
  enabled: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - https://dns.google/dns-query
    - tls://dns.google:853
    - https://cloudflare-dns.com/dns-query
    - tls://one.one.one.one:853
    - https://dns.adguard.com/dns-query
    - https://basic.rethinkdns.com/dns-query
    - https://NoTMIKE.dev/dns.php
    - https://doh-de.blahdns.com/dns-query
    - 114.114.114.114
  fallback:
    - https://basic.rethinkdns.com/dns-query
    - https://azure.cloudflare-dns.com/dns-query
    - https://dns64.cloudflare-dns.com/dns-query
    - https://dns1.ryan-palmer.com/dns-query
    - https://odvr.nic.cz/dns-query
    - https://doh.crypto.sx/dns-query
    - https://puredns.org/dns-query
    - https://dns.dnshome.de/dns-query
    - https://doh.seby.io:8443/dns-query
    - https://ibksturm.synology.me/dns-query
    - https://dns.hostux.net/dns-query
    - https://doh.libredns.gr/dns-query
    - https://NoTMIKE.dev/dns.php
    - https://doh.42l.fr/dns-query
    - https://DNS.HeN.ee/dns-query
    - https://doh.dnswarden.com/uncensored
    - tls://one.one.one.one:853
    - tls://dns.google:853
    - https://dns.google/dns-query
    - https://dns64.dns.google/dns-query
    - https://8888.google/dns-query
    - https://cloudflare-dns.com/dns-query
    - https://dns.quad9.net/dns-query
    - https://mozilla.cloudflare-dns.com/dns-query
    - https://EU2.DNS.LAVATE.CH/dns-query
    - https://DANDELIONSPROUT.Asuscomm.com:2501/dns-query
    - https://dns.switch.ch/dns-query
    - https://dnsforge.de/dns-query
    - https://dns.adguard.com/dns-query
    - https://doh-de.blahdns.com/dns-query
    
  fallback-filter:
    geoip: true
    geoip-code: IR

tun:
  enable: false
  stack: system # or gvisor
  dns-hijack:
    - any:53
  auto-redir: true # or false
  auto-route: true
  auto-detect-interface: true
  
  
rule-providers:
  reject:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/reject.yaml"
    path: ./ruleset/reject.yaml
    interval: 86400
  
  icloud:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/icloud.yaml"
    path: ./ruleset/icloud.yaml
    interval: 86400

  apple:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/apple.yaml"
    path: ./ruleset/apple.yaml
    interval: 86400

  google:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/google.yaml"
    path: ./ruleset/google.yaml
    interval: 86400
  # 
  proxy:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/proxy.yaml"
    path: ./ruleset/proxy.yaml
    interval: 86400
  # 
  direct:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/direct.yaml"
    path: ./ruleset/direct.yaml
    interval: 86400

  private:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/private.yaml"
    path: ./ruleset/private.yaml
    interval: 86400
  # 
  gfw:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/gfw.yaml"
    path: ./ruleset/gfw.yaml
    interval: 86400
  # 
  greatfire:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/greatfire.yaml"
    path: ./ruleset/greatfire.yaml
    interval: 86400

  tld-not-cn:
    type: http
    behavior: domain
    url: "https://lists.bea.sh/tld-not-cn.yaml"
    path: ./ruleset/tld-not-cn.yaml
    interval: 86400

  telegramcidr:
    type: http
    behavior: ipcidr
    url: "https://lists.bea.sh/telegramcidr.yaml"
    path: ./ruleset/telegramcidr.yaml
    interval: 86400

  cncidr:
    type: http
    behavior: ipcidr
    url: "https://lists.bea.sh/cncidr.yaml"
    path: ./ruleset/cncidr.yaml
    interval: 86400

  lancidr:
    type: http
    behavior: ipcidr
    url: "https://lists.bea.sh/lancidr.yaml"
    path: ./ruleset/lancidr.yaml
    interval: 86400

  applications:
    type: http
    behavior: classical
    url: "https://lists.bea.sh/applications.yaml"
    path: ./ruleset/applications.yaml
    interval: 86400

  iran:
    type: http
    behavior: classical
    url: "https://lists.bea.sh/iran-hosted.yaml"
    path: ./ruleset/iran.txt
    interval: 432000
    
  iranads:
    type: http
    behavior: classical
    url: "https://lists.bea.sh/iranads-clash-rule.yaml"
    path: ./ruleset/iran.txt
    interval: 432000
    
        
  whatsapp:
    type: http
    behavior: classical
    url: "https://lists.bea.sh/whatsapp-clash-rule.yaml"
    path: ./ruleset/whatsapp.txt
    interval: 432000
    
    

rules:
  - RULE-SET,whatsapp,MANUAL SELECT
  - RULE-SET,applications,DIRECT
  - DOMAIN,clash.razord.top,DIRECT
  - DOMAIN,clash.clash.bea.sh,DIRECT
  - DOMAIN,yacd.haishan.me,DIRECT
  - DOMAIN-KEYWORD,.ir,DIRECT
  - RULE-SET,private,DIRECT
  - RULE-SET,reject,REJECT
  - RULE-SET,icloud,DIRECT
  - RULE-SET,apple,DIRECT
  - RULE-SET,google,DIRECT
  - RULE-SET,proxy,MANUAL SELECT
  - RULE-SET,direct,DIRECT
  - RULE-SET,lancidr,DIRECT
  - RULE-SET,cncidr,DIRECT
  - RULE-SET,telegramcidr,MANUAL SELECT
  - GEOIP,LAN,DIRECT
  - GEOIP,IR,DIRECT
  - RULE-SET,iran,DIRECT
  - RULE-SET,iranads,REJECT
  - MATCH,MANUAL SELECT
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    

